A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
asin
ArrayFire Functions | ArrayFire Functions by Category » Mathematical functions » Trigonometric functions

## Functions
array | asin (const array &in)
| C++ Interface to evaluate the inverse sine function.
af_err | af_asin (af_array *out, const af_array in)
| C Interface to evaluate the inverse sine function.

## Detailed Description

Evaluate the inverse sine function (arc sine).

## Function Documentation

## ◆ af_asin()

af_err af_asin | ( | af_array * | out,
|  | const af_array | in )

C Interface to evaluate the inverse sine function.

Parameters

  [out] | out | inverse sine
  [in] | in | input array

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ asin()

array asin | ( | const array & | in | ) |

C++ Interface to evaluate the inverse sine function.

Parameters

  [in] | in | input array

Returns
  inverse sine